clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::find_all_symbols::SymbolAndSignals Struct Reference

`#include <SymbolInfo.h>`

Collaboration diagram for clang::find_all_symbols::SymbolAndSignals:
[legend]

## Public Member Functions
bool | operator== (const SymbolAndSignals &RHS) const

## Public Attributes
SymbolInfo | Symbol
SymbolInfo::Signals | Signals

## Detailed Description

Definition at line 127 of file SymbolInfo.h.

## Member Function Documentation

## ◆ operator==()

bool clang::find_all_symbols::SymbolAndSignals::operator== | ( | const SymbolAndSignals & | RHS | ) | const

Definition at line 115 of file SymbolInfo.cpp.

References clang::find_all_symbols::SymbolInfo::Signals::Signals(), Signals, and Symbol.

## Member Data Documentation

## ◆ Signals

SymbolInfo::Signals clang::find_all_symbols::SymbolAndSignals::Signals

Definition at line 129 of file SymbolInfo.h.

Referenced by llvm::yaml::MappingTraits< SymbolAndSignals >::mapping(), and operator==().

## ◆ Symbol

SymbolInfo clang::find_all_symbols::SymbolAndSignals::Symbol

Definition at line 128 of file SymbolInfo.h.

Referenced by llvm::yaml::MappingTraits< SymbolAndSignals >::mapping(), and operator==().

The documentation for this struct was generated from the following files:

- SymbolInfo.h
- SymbolInfo.cpp